OpenCV: cv::ThinPlateSplineShapeTransformer Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::ThinPlateSplineShapeTransformer Class Referenceabstract
Shape Distance and Matching

Definition of the transformation. More...

`#include "shape_transformer.hpp"`

Inheritance diagram for cv::ThinPlateSplineShapeTransformer:

## Public Member Functions
virtual double | getRegularizationParameter () const =0
virtual void | setRegularizationParameter (double beta)=0
| Set the regularization parameter for relaxing the exact interpolation requirements of the TPS algorithm. More...
Public Member Functions inherited from cv::ShapeTransformer
virtual float | applyTransformation (InputArray input, OutputArray output=noArray())=0
| Apply a transformation, given a pre-estimated transformation parameters. More...
virtual void | estimateTransformation (InputArray transformingShape, InputArray targetShape, std::vector< DMatch > &matches)=0
| Estimate the transformation parameters of the current transformer algorithm, based on point matches. More...
virtual void | warpImage (InputArray transformingImage, OutputArray output, int flags=INTER_LINEAR, int borderMode=BORDER_CONSTANT, const Scalar &borderValue=Scalar()) const =0
| Apply a transformation, given a pre-estimated transformation parameters, to an Image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Definition of the transformation.

occupied in the paper "Principal Warps: Thin-Plate Splines and Decomposition of Deformations", by F.L. Bookstein (PAMI 1989). :

## Member Function Documentation

## ◆ getRegularizationParameter()

virtual double cv::ThinPlateSplineShapeTransformer::getRegularizationParameter | ( |  | ) | const
| pure virtual

## ◆ setRegularizationParameter()

virtual void cv::ThinPlateSplineShapeTransformer::setRegularizationParameter | ( | double | beta | ) |
| pure virtual

Set the regularization parameter for relaxing the exact interpolation requirements of the TPS algorithm.

Parameters

  beta | value of the regularization parameter.

The documentation for this class was generated from the following file:

- shape/include/opencv2/shape/shape_transformer.hpp